/// <reference types="webpack" />
import WebPack = require('webpack');
declare namespace CodeSplitterPlugin {
    interface Options {
        entries: Array<string>;
    }
}
declare class CodeSplitterPlugin {
    private _options;
    constructor(options: CodeSplitterPlugin.Options);
    apply(compiler: WebPack.Compiler): void;
    private getPaths(entry);
    private writeEntry(name, path);
    private writeFooter();
    private writeHeader();
}
export = CodeSplitterPlugin;
